<?php
	include_once("include/config.php");
	check_site_url();
	$type=$_GET["type"];
	$id=$_GET["id"];
	switch($type)
	{
		case "honner":
			//查看数据库中是否存在该图片
			if(!$hm_arr=get_img_from_id($type,$id))
				show_err("数据库中没有该图片，刷新后再操作");
			else
			{
				//删除数据库中对应的项
				mysql_query("delete from hmcss_img_honner where honner_id=$id") or die("<script>alert('从数据库中删除文件失败[企业荣誉]');location.href='set_img_honner.php';</script>");
				//对留下的文件进行排序
				hm_set_order("honner",$hm_arr[0][1],"del");
				//die("../honner/big/" . $hm_arr[0][0]);
				if(!del_hm_file("../honner/big/" . $hm_arr[0][0]))
					echo "指定文件不存在，或删除实际文件出错1";
				if(!del_hm_file("../honner/small/" . $hm_arr[0][0]))
					echo "指定文件不存在，或删除实际文件出错2";
			}
			die("<script>alert('指定文件已成功删除');location.href='set_img_honner.php';</script>");
			break;
			case "best":
			//查看数据库中是否存在该图片
			if(!$hm_arr=get_img_from_id($type,$id))
				show_err("数据库中没有该图片，刷新后再操作");
			else
			{
				//删除数据库中对应的项
				mysql_query("delete from hmcss_img_best where best_id=$id") or die("<script>alert('从数据库中删除文件失败[实力展示]');location.href='set_img_best.php';</script>");
				//对留下的文件进行排序
				hm_set_order("best",$hm_arr[0][1],"del");
				//die("../honner/big/" . $hm_arr[0][0]);
				if(!del_hm_file("../best/big/" . $hm_arr[0][0]))
					echo "指定文件不存在，或删除实际文件出错1";
				if(!del_hm_file("../best/small/" . $hm_arr[0][0]))
					echo "指定文件不存在，或删除实际文件出错2";
			}
			die("<script>alert('指定文件已成功删除');location.href='set_img_best.php';</script>");
			break;
	}
?>